Package org.linphone.core

# Class LoggingServiceListenerStub

java.lang.Object
org.linphone.core.LoggingServiceListenerStub

All Implemented Interfaces:
  `LoggingServiceListener`

public class LoggingServiceListenerStub extends Object implements LoggingServiceListener

## Constructor Summary

Constructors
Constructor
Description
`LoggingServiceListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onLogMessageWritten(LoggingService logService, String domain, LogLevel level, String message)`
Type of callbacks called each time liblinphone write a log message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggingServiceListenerStub

public LoggingServiceListenerStub()

## Method Details

### onLogMessageWritten

public void onLogMessageWritten(@NonNull LoggingService logService, @NonNull String domain, LogLevel level, @NonNull String message)
Description copied from interface: `LoggingServiceListener`
Type of callbacks called each time liblinphone write a log message.

Specified by:
  `onLogMessageWritten` in interface `LoggingServiceListener`
Parameters:
  `logService` - A pointer on the logging service singleton.
  `domain` - A string describing which sub-library of liblinphone the message
  is coming from.
  `level` - Verbosity `LogLevel` of the message.
  `message` - Content of the message.